List spot proposals
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/spot/proposals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-labs.trade/api/v1/spot/proposals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-labs.trade/api/v1/spot/proposals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"proposal": {
"id": "<string>",
"groupId": "<string>",
"createdByUserDynamicId": "<string>",
"tokenMetadataId": "<string>",
"reason": "<string>",
"initialPriceUsd": "12.50",
"exitPriceUsd": "12.50",
"exitPnlPct": "4.27",
"exitPnlUsd": "12.50",
"closedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"token": {
"id": "<string>",
"contractAddress": "<string>",
"symbol": "<string>",
"name": "<string>",
"logoUrl": "<string>",
"coingeckoId": "<string>",
"verified": true
},
"group": {
"uniqueId": "<string>",
"name": "<string>",
"image": "<string>"
},
"createdBy": {
"dynamicId": "<string>",
"username": "<string>"
},
"trades": [
{
"id": "<string>",
"tradingProposalId": "<string>",
"groupId": "<string>",
"walletAddress": "<string>",
"tokenAmount": "4.27",
"tokenDecimals": 123,
"pricePerTokenUsd": "12.50",
"totalCostUsd": "12.50",
"alphaFeeUsd": "12.50",
"pnlPct": "4.27",
"pnlUsd": "12.50",
"txSignature": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
},
"userPosition": {
"hasPosition": true,
"currentTokenAmountRaw": "<string>",
"totalCostUsd": "12.50",
"avgEntryPriceUsd": "12.50",
"avgExitPriceUsd": "12.50",
"unrealizedPnlPct": "4.27",
"unrealizedPnlUsd": "12.50",
"realizedPnlPct": "4.27",
"realizedPnlUsd": "12.50",
"currentValueUsd": "12.50",
"currentPriceUsd": "12.50",
"userExitedAt": "2023-11-07T05:31:56Z"
},
"participantCount": 123,
"participantAvatars": [
"<string>"
]
}
]
}{
"statusCode": 400,
"message": "Query parameter \"groupId\" is required",
"error": "Bad Request",
"code": "NOT_GROUP_MEMBER"
}{
"statusCode": 400,
"message": "Query parameter \"groupId\" is required",
"error": "Bad Request",
"code": "NOT_GROUP_MEMBER"
}{
"statusCode": 400,
"message": "Query parameter \"groupId\" is required",
"error": "Bad Request",
"code": "NOT_GROUP_MEMBER"
}Spot
List spot proposals
List a group’s spot proposals with the caller’s position on each. Caller must be a member of the group.
GET
/
api
/
v1
/
spot
/
proposals
List spot proposals
Authorizations
Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).
Query Parameters
Group unique id.
Response
Proposals with the caller's position.
Show child attributes
Show child attributes
⌘I